Bug 1049245 - [RFE][advance search]In advance search page, plan type feild show invalid option in plan tab.
Summary: [RFE][advance search]In advance search page, plan type feild show invalid opt...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.8.11
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 09:36 UTC by yangqiu
Modified: 2021-02-16 02:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
In advance search page, plan type feild show invalid option in plan tab (204.29 KB, image/jpeg)
2014-01-07 09:36 UTC, yangqiu
no flags Details

Description yangqiu 2014-01-07 09:36:39 UTC
Created attachment 846541 [details]
In advance search page, plan type feild show invalid option in plan tab

Description of problem:
As subject.

Version-Release number of selected component (if applicable):
v3.8.6-1

How reproducible:
100%

Steps to Reproduce:
1.User enter advance search page.
2.Choose plan type as '--', then click search plan btn.
3.Check the search result.

Actual results:
System show the warning: Errors -Plan Type: "" is not a valid value for a primary key..

Expected results:
System does not show the invalid option '--'.


Additional info:

Comment 1 Xu Lei 2014-08-20 02:33:04 UTC
Delete invalid option '--' in tcms/templates/search/advanced_search.html

Comment 2 Tingting Zhao 2014-09-09 06:20:31 UTC
verify on devel server with v3.8.11-1:pass
the option "--" was removed from the plan type list.


Note You need to log in before you can comment on or make changes to this bug.